Bug 17022 - branchtransfers.pl is vulnerable to XSS attacks
Summary: branchtransfers.pl is vulnerable to XSS attacks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2016-08-02 14:07 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17022: Fix XSS in circ/branchtransfers.pl (2.66 KB, patch)
2016-08-02 14:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17022: Fix XSS in circ/branchtransfers.pl (2.72 KB, patch)
2016-08-03 20:47 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 17022: Fix XSS in circ/branchtransfers.pl (2.79 KB, patch)
2016-08-03 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-02 14:07:32 UTC
Reported by Dionach.
Comment 1 Jonathan Druart 2016-08-02 14:28:35 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-08-03 20:47:46 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-03 21:39:00 UTC
Created attachment 53977 [details] [review]
[PASSED QA] Bug 17022: Fix XSS in circ/branchtransfers.pl

Test plan:
Enter the following in the barcode input:
    <script>alert('XSS')</script>

=> Without this patch you will see the alert
=> With this patch, no more alert

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-08-04 19:19:54 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:11:02 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Chris Cormack 2016-08-08 07:06:31 UTC
Pushed to 3.20.x will be in 3.20.14
Comment 7 Julian Maurice 2016-08-17 12:39:44 UTC
Patches pushed to 3.22.x, will be in 3.22.10